SalesOS.

Pipelines

Sales pipeline configuration

Pipeline Controller_get Pipeline Deals

GET
/api/pipeline/deals

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/pipeline/deals" \
  -H "Authorization: Bearer <token>"

Pipeline Controller_get Pipeline Stats

GET
/api/pipeline/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/pipeline/stats" \
  -H "Authorization: Bearer <token>"

Pipeline Controller_update M E D D I C

PUT
/api/pipeline/meddic

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PUT "https://www.salesos.org/api/api/pipeline/meddic" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Pipeline Controller_update Forecast Category

PUT
/api/pipeline/forecast

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X PUT "https://www.salesos.org/api/api/pipeline/forecast" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Pipeline Controller_analyze M E D D I C

GET
/api/pipeline/meddic/analyze/{opportunityId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

opportunityIdRequiredstring
curl -X GET "https://www.salesos.org/api/api/pipeline/meddic/analyze/<string>" \
  -H "Authorization: Bearer <token>"

Pipelines Controller_find All

GET
/api/pipelines

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/pipelines" \
  -H "Authorization: Bearer <token>"

Pipelines Controller_create

POST
/api/pipelines

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired
curl -X POST "https://www.salesos.org/api/api/pipelines" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Pipelines Controller_find Default

GET
/api/pipelines/default

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://www.salesos.org/api/api/pipelines/default" \
  -H "Authorization: Bearer <token>"

Pipelines Controller_find By Id

GET
/api/pipelines/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://www.salesos.org/api/api/pipelines/<string>" \
  -H "Authorization: Bearer <token>"

Pipelines Controller_update

PATCH
/api/pipelines/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/pipelines/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Pipelines Controller_delete

DELETE
/api/pipelines/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/pipelines/<string>" \
  -H "Authorization: Bearer <token>"

Pipelines Controller_set Default

POST
/api/pipelines/{id}/set-default

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/pipelines/<string>/set-default" \
  -H "Authorization: Bearer <token>"

Pipelines Controller_duplicate

POST
/api/pipelines/{id}/duplicate

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring
curl -X POST "https://www.salesos.org/api/api/pipelines/<string>/duplicate" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Pipelines Controller_create Stage

POST
/api/pipelines/{pipelineId}/stages

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

pipelineIdRequiredstring
curl -X POST "https://www.salesos.org/api/api/pipelines/<string>/stages" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Pipelines Controller_update Stage

PATCH
/api/pipelines/{pipelineId}/stages/{stageId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

pipelineIdRequiredstring
stageIdRequiredstring
curl -X PATCH "https://www.salesos.org/api/api/pipelines/<string>/stages/<string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Pipelines Controller_delete Stage

DELETE
/api/pipelines/{pipelineId}/stages/{stageId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

pipelineIdRequiredstring
stageIdRequiredstring
curl -X DELETE "https://www.salesos.org/api/api/pipelines/<string>/stages/<string>" \
  -H "Authorization: Bearer <token>"

Pipelines Controller_reorder Stages

POST
/api/pipelines/{pipelineId}/stages/reorder

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Request Body

application/jsonRequired

Path Parameters

pipelineIdRequiredstring
curl -X POST "https://www.salesos.org/api/api/pipelines/<string>/stages/reorder" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'